module param_mod
! pour l'Hydrogène

  implicit none
 
  integer, parameter :: niter = 200 
  double precision, parameter :: I_sup = 0.d0
 
  integer, parameter :: NZ=91

  integer, parameter :: nfr=20,nxmod=NZ,nmu=4,n_grille=46

  double precision, dimension(NZ) :: coeff_extinction
  double precision, dimension(NZ) :: a_voigt 
  double precision, parameter :: EPST_in=10000.d0
  double precision, parameter :: T_in = 8000.d0
  double precision, parameter :: VT_in = 5.d5 ! cm/s
  double precision, parameter :: altitude_in = 10000.d0
  double precision, dimension(n_grille) :: grille
  double precision, dimension(NZ) :: position,VT
  double precision, dimension(nxmod) :: xmod ! profondeur tau
  double precision, dimension(nfr) :: xfr ! freq reduite
  double precision, dimension(nfr) :: I_inf ! intensite incidente interpolee aux freq reduites
  double precision, dimension(nmu) :: mu ! direction
  double precision, dimension(nxmod) :: J_bar_ali
  double precision, dimension(nfr,nxmod) :: J_nu_ali
  double precision, dimension(nxmod,niter) :: S_ali,N1,N2
  double precision, dimension(nxmod,nfr,nmu) :: u_ali ! solution de ETR
  double precision, dimension(nxmod) :: lambda_etoile
  double precision, dimension(nxmod,nfr,nmu) :: lambda_etoile_mu_nu
  double precision, dimension(nxmod,nfr) :: tau_nu ! profondeur
  double precision, dimension(nfr,NZ) :: phi_nu ! profil
  double precision, dimension(nfr,NZ) :: phi_nu_normalise ! profil normalise par rapport aux freq relatives
  double precision, dimension(nfr) :: M,W ! W poids d'integration en nu, M poids intermediaire
  double precision som ! utilise pour calculer W
  double precision, parameter :: pi=3.1415926536d0
  double precision, parameter :: h=6.6262d-27 ! cste de planck en cm2.g/s
  double precision, parameter :: ryd = 2.17875d-11
  double precision, dimension(nxmod) :: NH,Ne
  double precision A21,B12,B21
  double precision, dimension(nxmod) :: C12,C21
  double precision, parameter :: bolt=1.38064852d-16 ! cste de Boltzann en cm2/g/s2/K
  double precision, parameter :: cl=2.997925d10 ! = vitesse de la lumiere en cm/s
  double precision, parameter :: uma=1.660d-24 ! unite de masse atomique (g)
  double precision, parameter :: m_H = 1.660d-24 ! g
! raie Lyman alpha de l'hydrogene
  double precision, parameter :: lambda_0 = 1215.d0 ! A ! long d'onde centrale de la raie
  
  double precision, parameter :: gg1=1.d0,gg2=8.d0 ! poids statistique des niveaux 1 et 2 de l'Hydrogène
  double precision, dimension(NZ) :: kappa_bar ! coeff total d'absorption 
  double precision, parameter :: EXPHN=2.65d0, EXPS=2.d0/3.d0
  double precision DFRNA ! elargissement naturel
  double precision, dimension(NZ) :: DFRCO ! elargissement collisionnel
  double precision, dimension(NZ) :: T
  double precision, dimension(NZ) :: delta_nu_D ! largeur doppler
  double precision, parameter :: PIA02 = 8.79737E-17,XMEL = 9.10956E-28, CSE = 8.d0*BOLT/PI/XMEL
  double precision, parameter :: nu_0=cl/(lambda_0*1.d-8) ! en s-1 ou Hz
  integer, parameter :: NFINT=20
  double precision, parameter :: coef_Lalpha=1.d-8
  double precision, dimension(NFINT) :: FRFI, FINT
  double precision, parameter :: RS = 6.96E10 ! en cm
  double precision FADIR
  


end module param_mod
